# $Revision: 1.26 $, $Date: 2010/07/09 11:18:39 $
Summary:	A software library for accesing MusicBrainz servers
Summary(pl.UTF-8):	Biblioteka umożliwiająca korzystanie z serwerów MusicBrainz
Name:		libmusicbrainz
Version:	2.1.5
Release:	3
Epoch:		1
License:	LGPL
Group:		Libraries
Source0:	ftp://ftp.musicbrainz.org/pub/musicbrainz/%{name}-%{version}.tar.gz
# Source0-md5:	d5e19bb77edd6ea798ce206bd05ccc5f
Patch0:		%{name}-gcc43.patch
URL:		http://www.musicbrainz.org/
BuildRequires:	autoconf >= 2.52
BuildRequires:	automake
BuildRequires:	expat-devel
BuildRequires:	libstdc++-devel
BuildRequires:	libtool
BuildRequires:	python-devel
BuildRequires:	python-modules >= 1:2.5
BuildRequires:	rpm-pythonprov
Provides:	musicbrainz
Obsoletes:	musicbrainz
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The MusicBrainz client library allows applications to make metadata
lookup to a MusicBrainz server, generate signatures from WAV data and
create CD Index Disk ids from audio CD roms.

%description -l pl.UTF-8
Biblioteka kliencka MusicBrainz pozwala aplikacjom na wysyłanie
zapytań do serwerów MusicBrainz, generowanie sygnatur z plików WAV
oraz tworzenie indeksów z płyt CD audio.

%package devel
Summary:	Headers for developing programs that will use libmusicbrainz
Summary(pl.UTF-8):	Pliki nagłówkowe do rozwijania programów używających libmusicbrainz
Group:		Development/Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}
Requires:	expat-devel
Requires:	libstdc++-devel
Provides:	musicbrainz-devel
Obsoletes:	musicbrainz-devel

%description devel
This package contains the headers that programmers will need to
develop applications which will use libmusicbrainz.

%description devel -l pl.UTF-8
Pliki nagłówkowe potrzebne programistom do rozwijania aplikacji
używających biblioteki libmusicbrainz.

%package static
Summary:	Static libmusicbrainz libraries
Summary(pl.UTF-8):	Biblioteki statyczne libmusicbrainz
Group:		Development/Libraries
Requires:	%{name}-devel = %{epoch}:%{version}-%{release}
Obsoletes:	musicbrainz-static

%description static
Static libmusicbrainz libraries.

%description static -l pl.UTF-8
Statyczne biblioteki libmusicbrainz.

%package -n python-musicbrainz
Summary:	Python bindings for libmusicbrainz
Summary(pl.UTF-8):	Wiązania Pythona do libmusicbrainz
Group:		Libraries/Python
Requires:	%{name} = %{epoch}:%{version}-%{release}
%pyrequires_eq	python-libs

%description -n python-musicbrainz
Python bindings for libmusicbrainz.

%description -n python-musicbrainz -l pl.UTF-8
Wiązania Pythona do libmusicbrainz.

%prep
%setup -q
%patch0 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure
%{__make}

cd python
LD_LIBRARY_PATH=../lib/.libs python setup.py build
cd ..

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

cd python
LD_LIBRARY_PATH=../lib/.libs python setup.py install \
	--root=$RPM_BUILD_ROOT \
	--optimize=2
cd ..

%py_postclean

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS README TODO
%attr(755,root,root) %{_libdir}/libmusicbrainz.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libmusicbrainz.so.4

%files devel
%defattr(644,root,root,755)
%doc ChangeLog
%attr(755,root,root) %{_libdir}/libmusicbrainz.so
%{_libdir}/libmusicbrainz.la
%{_includedir}/musicbrainz
%{_pkgconfigdir}/libmusicbrainz.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libmusicbrainz.a

%files -n python-musicbrainz
%defattr(644,root,root,755)
%{py_sitescriptdir}/musicbrainz.py[co]
%{py_sitescriptdir}/python_musicbrainz-*.egg-info

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libmusicbrainz.spec,v $
Revision 1.26  2010/07/09 11:18:39  arekm
- release 3

Revision 1.25  2009/11/28 15:07:23  sparky
- BR: python-devel

Revision 1.24  2008/10/18 12:12:06  megabajt
- added -gcc43.patch
- ghost soname symlink
- release 2

Revision 1.23  2007/05/28 17:16:20  qboosh
- updated to 2.1.5
- removed obsolete ac patch

Revision 1.22  2007/02/13 06:46:51  glen
- tabs in preamble

Revision 1.21  2007/02/12 00:49:03  baggins
- converted to UTF-8

Revision 1.20  2006/12/12 18:36:26  pluto
- release 3, rebuild with P: *.la.

Revision 1.19  2006/08/30 14:14:47  havner
- BR python-modules 2.5 instead of python-ctypes

Revision 1.18  2006/08/27 11:37:53  qboosh
- updated to 2.1.4 (fixes CVE-2006-4197)

Revision 1.17  2006/07/17 18:34:58  qboosh
- updated to 2.1.3, removed obsolete py-lib64 patch, added ac patch

Revision 1.16  2006/04/15 21:49:37  qboosh
- pl for python-, fixed pyrequires_eq

Revision 1.15  2006/04/13 07:51:45  wiget
- BR: python-ctypes, release 3

Revision 1.14  2006/04/11 16:44:04  wiget
- added python-musicbrainz
- refetch sources (with python module code)
- release 2

Revision 1.13  2005/11/17 07:09:19  qboosh
- unified

Revision 1.12  2005/11/17 00:02:35  pluto
- updated to 2.1.2.

Revision 1.11  2005/05/25 13:58:29  pluto
- gcc4 fix, release 2 for Th.

Revision 1.10  2004/09/01 11:49:23  snurf
- typos / formatting / etc.

Revision 1.9  2004/03/18 12:36:49  grzegol
- updated to 2.1.1

Revision 1.8  2004/02/20 17:20:40  grzegol
- updated to 2.1.0

Revision 1.7  2003/07/19 23:55:37  qboosh
- 2.0.2, updated system-expat patch

Revision 1.6  2003/06/20 07:08:22  wiget
- R epoch fix

Revision 1.5  2003/05/28 12:59:30  malekith
- massive attack: source-md5

Revision 1.4  2003/05/25 05:49:57  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.3  2003/05/16 23:32:35  qboosh
- patched to use system expat

Revision 1.2  2003/04/14 19:14:02  grzegol
- added Provides: musicbrainz{-devel}

Revision 1.1  2003/04/14 18:17:08  grzegol
- moved from musicbrainz.spec
- updated to 2.0.1
